Bug 93806 - maintainer-update: emulators/hercules to 3.04
Summary: maintainer-update: emulators/hercules to 3.04
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-24 20:10 UTC by Bjoern A. Zeeb
Modified: 2006-05-13 23:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bjoern A. Zeeb 2006-02-24 20:10:05 UTC
	
	hercules 3.04 was released today.

	! Update emulators/hercules from 3.03.1 to 3.04.
	! 
	! - version update
	! - fix plist in WITHOUT_NLS case
	! - files removed:
	!   files/patch-configure
	!   files/patch-fbdcompile
	!   files/patch-herconf
	! - files added:
	!   files/patch-hercifc.h

Fix: 

a patch can be found at:
	http://sources.zabbadoz.net/freebsd/ports/
	[ http://sources.zabbadoz.net/freebsd/ports/hercules-3.03.1-3.04.diff ]
Comment 1 Bjoern A. Zeeb 2006-04-09 14:24:28 UTC
here's next patch for files/patch-tuntap-sin_len that has to
be added in addition to the already submitted ones.
You can also fetch it from 
http://sources.zabbadoz.net/freebsd/ports/hercules-files-patch-tuntap-sin_len

PS: I'd be happy if someone could have a look at this port and commit it:)

--------- put this in files/patch-tuntap-sin_len ------------------
--- ./tuntap.c.orig	Sun Apr  9 12:00:35 2006
+++ ./tuntap.c	Sun Apr  9 12:01:35 2006
@@ -230,6 +230,7 @@ int             TUNTAP_SetIPAddr( char*
      sin = (struct sockaddr_in*)&ifreq.ifr_addr;

      sin->sin_family = AF_INET;
+    sin->sin_len = sizeof( struct sockaddr_in );

      if( !pszNetDevName || !*pszNetDevName )
      {
@@ -266,6 +267,7 @@ int             TUNTAP_SetDestAddr( char
      sin = (struct sockaddr_in*)&ifreq.ifr_addr;

      sin->sin_family = AF_INET;
+    sin->sin_len = sizeof( struct sockaddr_in );

      if( !pszNetDevName || !*pszNetDevName )
      {
@@ -302,6 +304,7 @@ int           TUNTAP_SetNetMask( char*
      sin = (struct sockaddr_in*)&ifreq.ifr_netmask;

      sin->sin_family = AF_INET;
+    sin->sin_len = sizeof( struct sockaddr_in );

      if( !pszNetDevName || !*pszNetDevName )
      {
@@ -339,6 +342,7 @@ int             TUNTAP_SetMTU( char*   p
      sin = (struct sockaddr_in*)&ifreq.ifr_addr;

      sin->sin_family = AF_INET;
+    sin->sin_len = sizeof( struct sockaddr_in );

      if( !pszNetDevName || !*pszNetDevName )
      {
@@ -424,6 +428,7 @@ int             TUNTAP_SetFlags ( char*
      sin = (struct sockaddr_in*)&ifreq.ifr_addr;

      sin->sin_family = AF_INET;
+    sin->sin_len = sizeof( struct sockaddr_in );

      if( !pszNetDevName || !*pszNetDevName )
      {
@@ -465,6 +470,7 @@ int           TUNTAP_AddRoute( char*   p

      sin = (struct sockaddr_in*)&rtentry.rt_dst;
      sin->sin_family = AF_INET;
+    sin->sin_len = sizeof( struct sockaddr_in );

      if( !pszDestAddr  ||
          !inet_aton( pszDestAddr, &sin->sin_addr ) )
@@ -476,6 +482,7 @@ int           TUNTAP_AddRoute( char*   p

      sin = (struct sockaddr_in*)&rtentry.rt_genmask;
      sin->sin_family = AF_INET;
+    sin->sin_len = sizeof( struct sockaddr_in );

      if( !pszNetMask  ||
          !inet_aton( pszNetMask, &sin->sin_addr ) )
@@ -489,6 +496,7 @@ int           TUNTAP_AddRoute( char*   p
      {
          sin = (struct sockaddr_in*)&rtentry.rt_gateway;
          sin->sin_family = AF_INET;
+        sin->sin_len = sizeof( struct sockaddr_in );

          if( !inet_aton( pszGWAddr, &sin->sin_addr ) )
          {
@@ -530,6 +538,7 @@ int           TUNTAP_DelRoute( char*   p

      sin = (struct sockaddr_in*)&rtentry.rt_dst;
      sin->sin_family = AF_INET;
+    sin->sin_len = sizeof( struct sockaddr_in );

      if( !pszDestAddr  ||
          !inet_aton( pszDestAddr, &sin->sin_addr ) )
@@ -541,6 +550,7 @@ int           TUNTAP_DelRoute( char*   p

      sin = (struct sockaddr_in*)&rtentry.rt_genmask;
      sin->sin_family = AF_INET;
+    sin->sin_len = sizeof( struct sockaddr_in );

      if( !pszNetMask  ||
          !inet_aton( pszNetMask, &sin->sin_addr ) )
@@ -552,6 +562,7 @@ int           TUNTAP_DelRoute( char*   p

      sin = (struct sockaddr_in*)&rtentry.rt_gateway;
      sin->sin_family = AF_INET;
+    sin->sin_len = sizeof( struct sockaddr_in );

      if( !pszGWAddr  ||
          !inet_aton( pszGWAddr, &sin->sin_addr ) )
--------- /put this in files/patch-tuntap-sin_len ------------------
Comment 2 Emanuel Haupt freebsd_committer 2006-04-11 23:18:12 UTC
State Changed
From-To: open->feedback

Could you maybe submit a patch (diff -Nur) including all the patches?
Comment 3 Emanuel Haupt freebsd_committer 2006-04-12 12:20:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Take.
Comment 4 Emanuel Haupt freebsd_committer 2006-04-12 12:20:49 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 5 Emanuel Haupt freebsd_committer 2006-04-12 13:35:00 UTC
State Changed
From-To: open->feedback

After the update the port does not fully respect CFLAGS (it uses -O3 against my 
will). Can you please fix it? 

See also: 
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/dads-cflags.html
Comment 6 Bjoern A. Zeeb 2006-04-13 18:29:14 UTC
> After the update the port does not fully respect CFLAGS (it uses -O3 against my
> will). Can you please fix it?

I have tought a bit about it and decided to do it though it does not
make a lot of sense for this port to give you such a free will.
So you'll mostly end up building a debug version without debugging
symbols or something like that...

The new patch is here for fetching:
http://sources.zabbadoz.net/freebsd/ports/hercules-3.04-20060413.diff
Comment 7 Emanuel Haupt freebsd_committer 2006-04-13 18:48:35 UTC
On Thu, 13 Apr 2006 17:40:17 GMT
"Bjoern A. Zeeb" <bzeeb+freebsdports@zabbadoz.net> wrote:

> The following reply was made to PR ports/93806; it has been noted by
> GNATS.
> 
> From: "Bjoern A. Zeeb" <bzeeb+freebsdports@zabbadoz.net>
> To: bug-followup@FreeBSD.org
> Cc:  
> Subject: Re: ports/93806: maintainer-update: emulators/hercules to
> 3.04 Date: Thu, 13 Apr 2006 17:29:14 +0000 (UTC)
> 
>  > After the update the port does not fully respect CFLAGS (it uses
>  > -O3 against my will). Can you please fix it?
>  
>  I have tought a bit about it and decided to do it though it does not
>  make a lot of sense for this port to give you such a free will.
>  So you'll mostly end up building a debug version without debugging
>  symbols or something like that...

It's not optional, it's a *requirement*:

http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/dads-cflags.html
Comment 8 Bjoern A. Zeeb 2006-04-13 18:57:26 UTC
> It's not optional, it's a *requirement*:
>
> http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/dads-cflags.html

yes, and it works that way now (though it doesn't really make sense).
If there are more minor nits could you please let me know in bulk.
Thanks.
Comment 9 Emanuel Haupt freebsd_committer 2006-04-13 19:25:44 UTC
Responsible Changed
From-To: ehaupt->freebsd-ports-bugs

Release.
Comment 10 Emanuel Haupt freebsd_committer 2006-04-13 19:41:08 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 11 Stefan Walter freebsd_committer 2006-05-13 10:20:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 12 Stefan Walter freebsd_committer 2006-05-13 19:45:52 UTC
Hi,

with me, the .mo files at the bottom of the pkg-plist aren't installed and
thus result in an error message upon 'make deinstall' with the new
version. Could you have a look at that?

Regards,
Stefan
Comment 13 Bjoern A. Zeeb 2006-05-13 21:28:58 UTC
On Sat, 13 May 2006, Stefan Walter wrote:

Hi,

> with me, the .mo files at the bottom of the pkg-plist aren't installed and
> thus result in an error message upon 'make deinstall' with the new
> version. Could you have a look at that?

Following change was in the patch to the Makefile:

  .if defined(WITHOUT_NLS)
  CONFIGURE_ARGS+=	--disable-nls
+PLIST_SUB+=		GETTEXT="@comment "
  .else
  USE_GETTEXT=		yes
+PLIST_SUB+=		GETTEXT=""
  .endif

and should correctly subsitute what is in pkg-plist with the patch
to my understanding?

  @dirrm share/hercules
-share/locale/de/LC_MESSAGES/hercules.mo
-share/locale/nl/LC_MESSAGES/hercules.mo
+%%GETTEXT%%share/locale/de/LC_MESSAGES/hercules.mo
+%%GETTEXT%%share/locale/nl/LC_MESSAGES/hercules.mo


I tried with both NLS turned on and off and failed to reproduce the
problem with make install && make deinstall && make package &&
pkg_delete /var/db/pkg/hercules-3.04/

Are you building with or without WITHOUT_NLS? Perhaps it would be best
if you could tell me your build env (options file, command line
options to make, make.conf entries, ...)?
Also could you check that you removed the three patches from files/ 
that are no longer needed?

Would it help you if I'd put the lastest version of emulators/hercules
port src into a tarball and load it up?

-- 
Bjoern A. Zeeb				bzeeb at Zabbadoz dot NeT
Comment 14 Stefan Walter freebsd_committer 2006-05-13 22:56:36 UTC
Bjoern A. Zeeb, 13.05.06, 22:28h CEST:

> I tried with both NLS turned on and off and failed to reproduce the
> problem with make install && make deinstall && make package &&
> pkg_delete /var/db/pkg/hercules-3.04/
> 
> Are you building with or without WITHOUT_NLS? Perhaps it would be best
> if you could tell me your build env (options file, command line
> options to make, make.conf entries, ...)?

What I had set explicitly and what seems to cause the files not to be
installed is PREFIX. Without setting PREFIX, everything installs and
deinstalls just fine. I have committed the patch, anyway, but could you
have a look at that?

Stefan
Comment 15 Stefan Walter freebsd_committer 2006-05-13 22:56:51 UTC
State Changed
From-To: open->closed

Committed, thanks!